| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties | Private Attributes

# IG::Num::GridGenerator1dFunc Class Reference

Generates 1D grids with equidistant or geometrically grown intervals. More...

Inheritance diagram for IG::Num::GridGenerator1dFunc:
[legend]
Collaboration diagram for IG::Num::GridGenerator1dFunc:
[legend]

List of all members.

## Public Member Functions
| GridGenerator1dFunc ()
| Creates a uniform 1D grid generator that generates two nodes at 0 and 1.
| GridGenerator1dFunc (double from, double to, int numNodes, IRealFunction function, double firstFunctionArgument, double lastFunctionArgument)
| Creates a 1D grid generator where grid point positions are calculated by the specified function.
void | MakeUniform ()
| Resets the parameters in such away that the generated grid is uniform (equidistant intervals) and with scaling factor 1.
override void | CalculateGrid (ref List< double > nodeList)
| Performs grid generation and stores the generated nodes directly on the provided list. Unless necessary due to nature of generation, results are not stored internally on the current grid generator object. Because of this, the Calculated flag is normally not set after calling this function. WARNING: This method generates a grid even if it has already been generated and is up to date.
## Properties
IRealFunction | Function`[get, set]`
double | FunctionArgumentFirst`[get, set]`
| First argument where grid generation function is evaluated.
double | FunctionArgumentLast`[get, set]`
| Last argument where grid generation function is evaluated.
## Private Attributes
IRealFunction | _func
double | _funcArgFirst = 0.0
double | _funcArgLast = 0.0

## Detailed Description

Generates 1D grids with equidistant or geometrically grown intervals.

$A Igor Apr10 Dec10;

## Constructor & Destructor Documentation

IG::Num::GridGenerator1dFunc::GridGenerator1dFunc | ( |  | ) | `[inline]`

Creates a uniform 1D grid generator that generates two nodes at 0 and 1.

IG::Num::GridGenerator1dFunc::GridGenerator1dFunc | ( | double | from,
|  | double | to,
|  | int | numNodes,
|  | IRealFunction | function,
|  | double | firstFunctionArgument,
|  | double | lastFunctionArgument
| ) |  | `[inline]`

Creates a 1D grid generator where grid point positions are calculated by the specified function.

Parameters:

  from | Lower bound of the generated 1D grid.
  to | Upper bound of the generated 1D grid.
  numNodes | Number of nodes generated.
  function | Function used for evaluation of grid points.
  firstFunctionArgument | First argument (lower bound of the interval) where grid function is evaluated.
  lastFunctionArgument | First argument (upper bound of the interval) where grid function is evaluated.

## Member Function Documentation

void IG::Num::GridGenerator1dFunc::MakeUniform | ( |  | ) | `[inline]`

Resets the parameters in such away that the generated grid is uniform (equidistant intervals) and with scaling factor 1.

override void IG::Num::GridGenerator1dFunc::CalculateGrid | ( | ref List< double > | nodeList | ) | `[inline]`

Performs grid generation and stores the generated nodes directly on the provided list. Unless necessary due to nature of generation, results are not stored internally on the current grid generator object. Because of this, the Calculated flag is normally not set after calling this function. WARNING: This method generates a grid even if it has already been generated and is up to date.

Parameters:

  nodeList | A list where node coordinates are stored. List is allocated or re-allocated if necessary.

Implements IG::Num::IGridGenerator1d.

## Member Data Documentation

IRealFunction IG::Num::GridGenerator1dFunc::_func`[private]`

double IG::Num::GridGenerator1dFunc::_funcArgFirst = 0.0`[private]`

double IG::Num::GridGenerator1dFunc::_funcArgLast = 0.0`[private]`

## Property Documentation

IRealFunction IG::Num::GridGenerator1dFunc::Function`[get, set]`

double IG::Num::GridGenerator1dFunc::FunctionArgumentFirst`[get, set]`

First argument where grid generation function is evaluated.

double IG::Num::GridGenerator1dFunc::FunctionArgumentLast`[get, set]`

Last argument where grid generation function is evaluated.

The documentation for this class was generated from the following file:

- GridGenerator1dFunc.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events